aurora-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jsir...@apache.org
Subject aurora-packaging git commit: Upgrade build tools.
Date Mon, 04 Apr 2016 18:02:48 GMT
Repository: aurora-packaging
Updated Branches:
  refs/heads/master 0a77fbf23 -> 97f9c3d0d


Upgrade build tools.

This complements the corresponding change in the aurora repo:
  https://reviews.apache.org/r/45661/

Reviewed at https://reviews.apache.org/r/45662/


Project: http://git-wip-us.apache.org/repos/asf/aurora-packaging/repo
Commit: http://git-wip-us.apache.org/repos/asf/aurora-packaging/commit/97f9c3d0
Tree: http://git-wip-us.apache.org/repos/asf/aurora-packaging/tree/97f9c3d0
Diff: http://git-wip-us.apache.org/repos/asf/aurora-packaging/diff/97f9c3d0

Branch: refs/heads/master
Commit: 97f9c3d0de8dd5fbbb468deb926f578579a4de81
Parents: 0a77fbf
Author: John Sirois <jsirois@apache.org>
Authored: Mon Apr 4 12:02:45 2016 -0600
Committer: John Sirois <john.sirois@gmail.com>
Committed: Mon Apr 4 12:02:45 2016 -0600

----------------------------------------------------------------------
 builder/deb/debian-jessie/Dockerfile | 4 ++--
 builder/deb/debian-jessie/pants.ini  | 2 +-
 builder/deb/ubuntu-trusty/Dockerfile | 4 ++--
 builder/deb/ubuntu-trusty/pants.ini  | 2 +-
 builder/rpm/centos-7/pants.ini       | 2 +-
 specs/debian/control                 | 2 +-
 specs/rpm/aurora.spec                | 2 +-
 7 files changed, 9 insertions(+), 9 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/builder/deb/debian-jessie/Dockerfile
----------------------------------------------------------------------
diff --git a/builder/deb/debian-jessie/Dockerfile b/builder/deb/debian-jessie/Dockerfile
index 63e89de..fd15dfe 100644
--- a/builder/deb/debian-jessie/Dockerfile
+++ b/builder/deb/debian-jessie/Dockerfile
@@ -40,8 +40,8 @@ RUN apt-get -y -t jessie-backports install openjdk-8-jdk \
 RUN git clone --depth 1 https://github.com/benley/gradle-packaging \
   && cd gradle-packaging \
   && apt-get install -y ruby ruby-dev unzip wget \
-  && gem install fpm && ./gradle-mkdeb.sh 2.10 \
-  && dpkg -i gradle-2.10_2.10-2_all.deb \
+  && gem install fpm && ./gradle-mkdeb.sh 2.12 \
+  && dpkg -i gradle-2.12_2.12-2_all.deb \
   && cd .. && rm -rf gradle-packaging
 
 ADD build.sh /build.sh

http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/builder/deb/debian-jessie/pants.ini
----------------------------------------------------------------------
diff --git a/builder/deb/debian-jessie/pants.ini b/builder/deb/debian-jessie/pants.ini
index 2ff2d5e..446ea8d 100644
--- a/builder/deb/debian-jessie/pants.ini
+++ b/builder/deb/debian-jessie/pants.ini
@@ -1,4 +1,4 @@
-[DEFAULT]
+[GLOBAL]
 print_exception_stacktrace: True
 
 [python-repos]

http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/builder/deb/ubuntu-trusty/Dockerfile
----------------------------------------------------------------------
diff --git a/builder/deb/ubuntu-trusty/Dockerfile b/builder/deb/ubuntu-trusty/Dockerfile
index 5273910..a4a9e64 100644
--- a/builder/deb/ubuntu-trusty/Dockerfile
+++ b/builder/deb/ubuntu-trusty/Dockerfile
@@ -44,8 +44,8 @@ RUN curl -sSL http://apache.org/dist/thrift/KEYS | gpg --import - &&
\
 RUN git clone --depth 1 https://github.com/benley/gradle-packaging \
   && cd gradle-packaging \
   && apt-get install -y ruby ruby-dev unzip wget \
-  && gem install fpm && ./gradle-mkdeb.sh 2.10 \
-  && dpkg -i gradle-2.10_2.10-2_all.deb \
+  && gem install fpm && ./gradle-mkdeb.sh 2.12 \
+  && dpkg -i gradle-2.12_2.12-2_all.deb \
   && cd .. && rm -rf gradle-packaging
 
 ADD build.sh /build.sh

http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/builder/deb/ubuntu-trusty/pants.ini
----------------------------------------------------------------------
diff --git a/builder/deb/ubuntu-trusty/pants.ini b/builder/deb/ubuntu-trusty/pants.ini
index 2ff2d5e..446ea8d 100644
--- a/builder/deb/ubuntu-trusty/pants.ini
+++ b/builder/deb/ubuntu-trusty/pants.ini
@@ -1,4 +1,4 @@
-[DEFAULT]
+[GLOBAL]
 print_exception_stacktrace: True
 
 [python-repos]

http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/builder/rpm/centos-7/pants.ini
----------------------------------------------------------------------
diff --git a/builder/rpm/centos-7/pants.ini b/builder/rpm/centos-7/pants.ini
index 0d7ec6b..3c994e8 100644
--- a/builder/rpm/centos-7/pants.ini
+++ b/builder/rpm/centos-7/pants.ini
@@ -1,4 +1,4 @@
-[DEFAULT]
+[GLOBAL]
 print_exception_stacktrace: True
 
 [python-repos]

http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/specs/debian/control
----------------------------------------------------------------------
diff --git a/specs/debian/control b/specs/debian/control
index a30e987..9dd927d 100644
--- a/specs/debian/control
+++ b/specs/debian/control
@@ -3,7 +3,7 @@ Priority: optional
 Maintainer: The Apache Aurora authors <dev@aurora.apache.org>
 Build-Depends: debhelper (>= 9),
  java8-sdk | openjdk-8-jdk,
- gradle (>= 2.10) | gradle-2.10,
+ gradle (>= 2.12) | gradle-2.12,
  python-all-dev,
  libkrb5-dev,
  curl,

http://git-wip-us.apache.org/repos/asf/aurora-packaging/blob/97f9c3d0/specs/rpm/aurora.spec
----------------------------------------------------------------------
diff --git a/specs/rpm/aurora.spec b/specs/rpm/aurora.spec
index 61e7d14..879c93a 100644
--- a/specs/rpm/aurora.spec
+++ b/specs/rpm/aurora.spec
@@ -30,7 +30,7 @@
 %endif
 
 %if %{?!GRADLE_VERSION:1}0
-%global GRADLE_VERSION 2.10
+%global GRADLE_VERSION 2.12
 %endif
 
 %if %{?!JAVA_VERSION:!}0


Mime
View raw message